/* === FUNCTIONS PROTOTYPE ==== */
int  ox863_init (int);
int  ox863_setup (int, char *);
int  ox863_readout (char *);
int  ox863_autoset(void);
int  ox863_display (int, int);
int  ox863_channel (int, int, int, int, int);
int  ox863_timebase (int, int, int, int, int, int);
int  ox863_trigger (int, int, int, int, int);
int  ox863_measure (int, int, int, int);
int  ox863_standard (int);
int  ox863_line (int);
int  ox863_close (void);

/* === CONSTANTS DECLARATION ==== */
#define OX863_RANGE_CH1           0x60
#define OX863_RANGE_CH2           0x61
#define OX863_RANGE_TIME_BASE_A   0x62
#define OX863_RANGE_TIME_BASE_B   0x63
#define OX863_VERTICAL_MODE       0x64
#define OX863_TB_DELAY            0x65
#define OX863_TRIGGER_B           0x66
#define OX863_TRACE_SEP           0x67
#define OX863_TRIGGER_SOURCE      0x68
#define OX863_TRIGGER_COUPLING    0x69
#define OX863_COUPLING_CH1        0x6a
#define OX863_COUPLING_CH2        0x6c
#define OX863_INVERT_CH2          0x6e
#define OX863_BWL                 0x6f
#define OX863_TRIGGER_PTP         0x70
#define OX863_EXP10               0x71
#define OX863_TRIGGER_SLOPE       0x72
#define OX863_TRIGGER_AUTO        0x73
#define OX863_BEAM_FINDER         0x74
#define OX863_COM_AUTOSET         0x75
#define OX863_READ_SETUP          0x76
#define OX863_WRI_CONF            0x77
#define OX863_ASK_ECHO            0x7a

#define OX863_READ_READOUT		  0x9e
#define OX863_REMOTE	          0x9f
#define OX863_READ_OUT		      0xa0
#define OX863_PROBE_CH1 	      0xa1
#define OX863_PROBE_CH2 	      0xa2
#define OX863_MEASUREMENT         0xa3
#define OX863_CURSOR1		      0xa5
#define OX863_CURSOR2		      0xa6
#define OX863_CURSOR3		      0xa7
#define OX863_STANDARD_LO	      0xa8
#define OX863_STANDARD_HI	      0xa9
#define OX863_LINE_LO		      0xaa
#define OX863_LINE_HI		      0xab
